Skip to content

List the webhook subscriptions this installation owns.

GET
/apps/webhooks/subscriptions
curl --request GET \
--url https://your-store.myciqra.com/apps/webhooks/subscriptions \
--header 'Authorization: Bearer <token>'

Required scope: read_webhooks — an installation token without it receives 403.

OK

Media typeapplication/json
Array<object>
object
autoDisabledAt
null | string format: date-time
autoDisabledReason
null | string
consecutiveFailures
integer | string format: int32
0 /^-?(?:0|[1-9]\d*)$/
createdAt
required
string format: date-time
description
required
null | string
eventTypes
required
Array<string>
hasSigningSecret
required
boolean
id
required
string format: uuid
installationId
null | string format: uuid
isActive
required
boolean
isDeliverable
required
boolean
updatedAt
required
null | string format: date-time
url
required
string
Example
[
{
"consecutiveFailures": 0
}
]

Bad Request

Media typeapplication/json
object
error
required
string
Examplegenerated
{
"error": "example"
}